Delete application
1 min
DELETE
/_cms/v1/applications/{key}
Path Parameters
- keystringrequiredDescription
Header Parameters
- Preferstring[]Example
[ "return=representation" ]
Description - If-MatchstringDescription
- If-Unmodified-Sincestring<http-date>DescriptionFormathttp-date
Responses
200
- ApplicationDescription
- keystringDescriptionMin Length2Max Length255Pattern^[A-Za-z][_0-9A-Za-z]+$
- displayNamestringrequiredDescriptionMin Length1Max Length255
- typeApplicationTyperequiredDescription
- sourcestringDescription
- entryPointstring<uri>requiredDescriptionFormaturi
- isDefaultbooleanDescription
- useApplicationSpecificAssetsbooleanDescription
- assetsRootstring<uri>DescriptionFormaturi
- hostsApplicationHost[]Description
- authoritystringrequiredDescriptionMin Length1Max Length255
- typeApplicationHostTypeDescription
- localestringDescription
- preferredUrlSchemeUrlSchemeDescription
- usePreviewTokensbooleanDescription
- previewUrlFormatsmap<string, string>Description
- createdstring<date-time>DescriptionFormatdate-time
- createdBystringDescription
- lastModifiedstring<date-time>DescriptionFormatdate-time
- lastModifiedBystringDescription
Response Headers
- Preference-Applied
204
400
401
403
404
412
500
curl
curl --request DELETE \
--url /_cms/v1/applications/{key} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("/_cms/v1/applications/{key}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/_cms/v1/applications/{key}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/_cms/v1/applications/{key}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"key": "",
"displayName": "",
"type": {},
"source": "",
"entryPoint": "",
"isDefault": false,
"useApplicationSpecificAssets": false,
"assetsRoot": "",
"hosts": [
{
"authority": "",
"type": {},
"locale": "",
"preferredUrlScheme": {}
}
],
"usePreviewTokens": false,
"previewUrlFormats": "",
"created": "",
"createdBy": "",
"lastModified": "",
"lastModifiedBy": ""
}204
// No Content
400
// Bad Request
401
// Unauthorized
403
// Forbidden
404
// Not Found
412
// Precondition Failed
500
// Internal Server Error